LINUX.ORG.RU

снова ATI Radeon + kernel 2.6.12.5


0

0

Помигите плз! уж совсем все туго...
не получается заставить работь драйвер ATI (последний) да и не только последний...

У меня чипсет sis. agpgart для sis грузится успешно.

в ядре (2.6.12.5):

CONFIG_AGP=m
CONFIG_AGP_SIS=m
CONFIG_DRM=m
CONFIG_DRM_RADEON=m

компиляция (все, как мне кажется, успешно):
cd /lib/modules/fglrx/build...
sh make.sh

ATI module generator V 2.0
==========================
initializing...
cleaning...
patching 'highmem.h'...
assuming new VMA API since we do have kernel 2.6.x...
doing Makefile based build for kernel 2.6.x and higher
make -C /lib/modules/2.6.12.5/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/linux-2.6.12.5'
  Building modules, stage 2.
  MODPOST
Warning: could not find /lib/modules/fglrx/build_mod/2.6.x/.libfglrx_ip.a.GCC3.cmd for /lib/modules/fglrx/build_mod/2.6.x/libfglrx_ip.a.GCC3
make[1]: Leaving directory `/usr/src/linux-2.6.12.5'
build succeeded with return value 0
duplicating results into driver repository...
done.
==============================
You must change your working directory to /lib/modules/fglrx
and then call ./make_install.sh in order to install the built module.
==============================

инсталяция failed :-( 

- creating symlink
- recreating module dependency list
- trying a sample load of the kernel module
failed.

dmesg | grep fgrlx

[fglrx] Maximum main memory to use for locked dma buffers: 677 MBytes.
[fglrx:firegl_init] *ERROR* Device not found!

firegl_init - что это вообше???

uname -a
Linux darkstar 2.6.12.5 #9 SMP Fri Aug 19 03:09:20 MSD 2005 i686 unknown unknown GNU/Linux

Что я делаю не так? Помогите а...

Re: снова ATI Radeon + kernel 2.6.12.5


>CONFIG_DRM=m
>CONFIG_DRM_RADEON=m

Ты же хочешь ставить дрова от ATI, накой тебе DRM-модули из ядра?
попробуй (не в Х'ах) выгрузить модули radeon и тот что для drm (б.п. как называется).
должны остаться только agpgart и модуль для чипсета.



Johnny_Mnemonic ()
Ответ на: Re: снова ATI Radeon + kernel 2.6.12.5 от sdbrother

Re: снова ATI Radeon + kernel 2.6.12.5

Нет.Вроде то, что скомпилено модулем в ядре по барабану. Просто ты укажешь подгружать fglrx , а не radeon А почему не работет не знаю.

anonymous ()
Ответ на: Re: снова ATI Radeon + kernel 2.6.12.5 от anonymous

Re: снова ATI Radeon + kernel 2.6.12.5


надо, надо. и поэтому тебе нужен также agpgagart
я не знаю че там в 2.6.12.5, но в 2.6.11.11 это выглядело бы так.
Location:
-> Device Drivers
-> Character devices
<M> /dev/agpgart
<M> Sis chipset support


Johnny_Mnemonic ()
Ответ на: Re: снова ATI Radeon + kernel 2.6.12.5 от Johnny_Mnemonic

Re: снова ATI Radeon + kernel 2.6.12.5

там также. все так и делел. интересно, а может быть, что моя видеокарта какая-то не такая... radeon ati 9600 блин... как о ней чего узнатьто?

кстати, в xorg.conf, сгенерированном при помощи fglrxconfig я поменял driver "fglrx" на driver "radeon" и при загруженном модуле radeon все работает, только без ускорения. Значит карта нормальная...

sdbrother ()
Ответ на: Re: снова ATI Radeon + kernel 2.6.12.5 от Johnny_Mnemonic

Re: снова ATI Radeon + kernel 2.6.12.5

Надо попробовать и ATI и ядерный agpgart - ati сами такое рекомендуют. При каком стабильнее работает - такой и оставить.

Deleted ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.